import { defineConfig } from 'vite'
import react from '@vitejs/plugin-react'

export default defineConfig({
  plugins: [react()],
  build: {
    outDir: 'dist',
    assetsDir: 'assets',
    minify: false,  // Disable minify for easier debugging
    sourcemap: false
  },
  server: {
    proxy: {
      '/api': 'http://10.10.10.143:3000'
    }
  }
})
